libzypp 17.37.10

zyppng::ServiceCollector Class Reference

Functor collecting ServiceInfos into a ServiceSet. More...

`#include <zypp/ng/repomanager.h>`

## Public Types
using | ServiceSet = std::set<ServiceInfo>

## Public Member Functions
| ServiceCollector (ServiceSet &services_r)
bool | operator() (const ServiceInfo &service_r) const

## Private Attributes
ServiceSet & | _services

## Detailed Description

Functor collecting ServiceInfos into a ServiceSet.

Definition at line 215 of file repomanager.h.

## Member Typedef Documentation

## ◆ ServiceSet

using zyppng::ServiceCollector::ServiceSet = std::set<ServiceInfo>

Definition at line 218 of file repomanager.h.

## Constructor & Destructor Documentation

## ◆ ServiceCollector()

zyppng::ServiceCollector::ServiceCollector | ( | ServiceSet & | services_r | ) |
| inline

Definition at line 220 of file repomanager.h.

## Member Function Documentation

## ◆ operator()()

bool zyppng::ServiceCollector::operator() | ( | const ServiceInfo & | service_r | ) | const
| inline

Definition at line 224 of file repomanager.h.

## Member Data Documentation

## ◆ _services

ServiceSet& zyppng::ServiceCollector::_services
| private

Definition at line 231 of file repomanager.h.

The documentation for this class was generated from the following file:

- zypp/ng/repomanager.h